Page MenuHomePhabricator

efl.content: add event for when content is changed containing content as data
ClosedPublic

Authored by zmike on Feb 11 2019, 9:49 AM.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9429
zmike created this revision.Feb 11 2019, 9:49 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Feb 11 2019, 9:49 AM
cedric accepted this revision.Feb 11 2019, 9:56 AM
This revision is now accepted and ready to land.Feb 11 2019, 9:56 AM
segfaultxavi accepted this revision.Feb 11 2019, 10:21 AM
bu5hm4n added a subscriber: bu5hm4n.EditedFeb 21 2019, 11:14 AM

You will probebly hate me, but shouldn't content,changed ?

Maybe! This naming was picked to match the method names. I'm not set on it.

It could be "content,changed" with an optional Efl.Gfx.Entity. It seems indeed more fitting with the rest of our event.

zmike updated this revision to Diff 19548.Feb 21 2019, 12:13 PM
zmike retitled this revision from efl.content: add events for when content is changed to efl.content: add event for when content is changed containing content as data.
zmike edited the summary of this revision. (Show Details)
segfaultxavi requested changes to this revision.Feb 21 2019, 1:21 PM

src/lib/elementary/efl_ui_pan.eo also defines the content,changed event, but with a different type. This produces a C# warning.
Both events have the same meaning, so the event in Efl.Ui.Pan could be removed and emit the event from Efl.Content (with attached Efl.gfx.Entity).

This revision now requires changes to proceed.Feb 21 2019, 1:21 PM
zmike requested review of this revision.Feb 24 2019, 1:57 PM

That's outside of scope and will be done in a subsequent patch.

This revision is now accepted and ready to land.Feb 25 2019, 4:33 AM
This revision was automatically updated to reflect the committed changes.